umbrello: WidgetList_Utils Namespace Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
WidgetList_Utils Namespace Reference

## Functions
qreal | getSmallestX (const UMLWidgetList &widgetList)
qreal | getSmallestY (const UMLWidgetList &widgetList)
qreal | getBiggestX (const UMLWidgetList &widgetList)
qreal | getBiggestY (const UMLWidgetList &widgetList)
qreal | getHeightsSum (const UMLWidgetList &widgetList)
qreal | getWidthsSum (const UMLWidgetList &widgetList)

## Detailed Description

General purpose widget list utilities. Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Function Documentation

## ◆ getBiggestX()

qreal WidgetList_Utils::getBiggestX | ( | const UMLWidgetList & | widgetList | ) |

Looks for the biggest x-value of the given UMLWidgets.

Parameters

  widgetList | A list with UMLWidgets.

Returns
  The biggest X position.

## ◆ getBiggestY()

qreal WidgetList_Utils::getBiggestY | ( | const UMLWidgetList & | widgetList | ) |

Looks for the biggest y-value of the given UMLWidgets.

Parameters

  widgetList | A list with UMLWidgets.

Returns
  The biggest Y position.

## ◆ getHeightsSum()

qreal WidgetList_Utils::getHeightsSum | ( | const UMLWidgetList & | widgetList | ) |

Returns the sum of the heights of the given UMLWidgets

Parameters

  widgetList | A list with UMLWidgets.

## ◆ getSmallestX()

qreal WidgetList_Utils::getSmallestX | ( | const UMLWidgetList & | widgetList | ) |

Looks for the smallest x-value of the given UMLWidgets.

Parameters

  widgetList | A list with UMLWidgets.

Returns
  The smallest X position.

## ◆ getSmallestY()

qreal WidgetList_Utils::getSmallestY | ( | const UMLWidgetList & | widgetList | ) |

Looks for the smallest y-value of the given UMLWidgets.

Parameters

  widgetList | A list with UMLWidgets.

Returns
  The smallest Y position.

## ◆ getWidthsSum()

qreal WidgetList_Utils::getWidthsSum | ( | const UMLWidgetList & | widgetList | ) |

Returns the sum of the widths of the given UMLWidgets.

Parameters

  widgetList | A list with UMLWidgets.